2

Closed

should not allow Framework 4 / F# 3.1 combination in project properties.

description

In a F# project properties, I can select Target Framework .NET 4.0 and at the same time pick F# 3.1 for F# runtime.

It seems this combination is actually not working on machine having only .NET 4 installed, the assembly is compiled with a TargetFrameworkAttribute pointing to .NET 4.5

The project properties dialog should forbid this combination.
Closed Jan 27, 2015 at 8:12 PM by KevinRansom
Manage at github

comments

Gauthier wrote Nov 20, 2014 at 8:30 PM

Actually, with VS2013 when you create a project picking framework 4, it sets the f# runtime on the wrong version by default.

latkin wrote Nov 26, 2014 at 5:41 PM

Good catch, yes we have not been careful about this.